import { NextFunction, Response } from 'express';
import { AuthDto } from "../dtos/auth.dto";
import { IntegrityGetReportDto, IntegrityReportResponseDto, IntegrityReportSummaryResponseDto, IntegrityReportTypeParamDto } from "../dtos/integrity.dto";
import { LoggingRepository } from "../repositories/logging.repository";
import { IntegrityService } from "../services/integrity.service";
import { UUIDv7ParamDto } from "../validation";
export declare class IntegrityAdminController {
    private logger;
    private service;
    constructor(logger: LoggingRepository, service: IntegrityService);
    getIntegrityReportSummary(): Promise<IntegrityReportSummaryResponseDto>;
    getIntegrityReport(dto: IntegrityGetReportDto): Promise<IntegrityReportResponseDto>;
    getIntegrityReportFile({ id }: UUIDv7ParamDto, res: Response, next: NextFunction): Promise<void>;
    deleteIntegrityReport(auth: AuthDto, { id }: UUIDv7ParamDto): Promise<void>;
    getIntegrityReportCsv({ type }: IntegrityReportTypeParamDto, res: Response): void;
}
